@charset "utf-8";


/* CSSリセット */
*{
    margin:0;
    padding:0;
}
*::before,*::after{
    margin:0;
    padding:0;
    box-sizing: border-box;
}
body{
    font-family:'Zen Maru Gothic',"Hiragino Kaku Gothic ProN",Meiryo, sans-serif;
    line-height:1.0;
    color: #96632E;
    background: #FCFAF2;
}
ul{
    list-style:none;
}
a{
    text-decoration:none;
    color:inherit;
}
img{
    max-width:100%;
    height:auto;
    vertical-align:bottom;
}


/* container */
.container {
    max-width: 1000px;
    margin: 0 auto;
}

/* p の font-size*/
p{
    font-size: 17px;
}

/* header */
header{
    padding: 15px 0 5px 15px;
    box-sizing: border-box;
    background: url(../img/header_bg.png);
}
h1{
    width: min(70%,280px);
}

/* TOP logo */
.top_logo{
    display: none;
}

/* 予約はこちら PC */
.reserve_btn_pc{
    display: none;
}

/* MENUボタン */
.menu{
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 1000;
}
.menu_btn{
    position: relative;
    top: 0;
    right: 0;
    width: 60px;
    height: 60px;
    background:#96632E;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.6s;
}

/* 中の線 */
.hamburger{
    display: block;
    width: 40px;
    height: 3px;
    background: rgb(255, 255, 255);
    border-radius: 5px;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    transition: 0.6s;
}
.hamburger::before{
    content: "";
    display: block;
    width: 40px;
    height: 3px;
    background: rgb(255, 255, 255);
    border-radius: 5px;
    position: absolute;
    top: -25px;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    transition: 0.6s;
}
.hamburger::after{
    content: "";
    display: block;
    width: 40px;
    height: 3px;
    background: rgb(255, 255, 255);
    border-radius: 5px;
    position: absolute;
    top: 0;
    right: 0;
    bottom: -25px;
    left: 0;
    margin: auto;
    transition: 0.6s;
}

/* アニメーション */
.menu_btn.switch{
    background: rgba(255, 255, 255,0.8);
    transition: 0.6s;
}
.hamburger.click{
    background: transparent;
}
.hamburger.click::before{
    transform: rotate(45deg);
    top: 0;
    transition: 0.6s;
    background: rgba(55, 137, 93, 1);
}
.hamburger.click::after{
    transform: rotate(135deg);
    bottom: 0;
    transition: 0.6s;
    background: rgba(55, 137, 93, 1);
}


/* Navigation */
.pcnav{
    display: none;
}

.spnav{
    position: fixed;
    top: 0;
    right: -100%;
    transition: 0.6s;
    width: 100%;
    height: 100vh;
    box-sizing: border-box;
    padding: 15vh 0;
    background: linear-gradient(180deg, rgb(251, 255, 146,0.9) 0.00%, rgb(152, 204, 105,0.9) 20.30%, rgb(125, 185, 102) 44.18%, rgb(112, 176, 100,0.9) 62.09%, rgb(55, 137, 93,0.9) 82.61%);
    z-index: 100;
    text-align: center;
}
.spnav.slide{
    right: 0;
    }
.spnav li{
    line-height: calc(70vh / 7);
    color: #fff;
    margin: 0 5%;
    font-size: 1.3em;
}
.spnav li a{
    display: block;
}


/* h2 */
h2{
    margin: 0 auto;
    width: fit-content;
    color: #FFC64A;
    position: relative;
    padding-bottom: 15px;
    font-family: 'Kosugi Maru', sans-serif;
    letter-spacing: 0.1em
}
h2::after{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 80%;
    height: 5px;
    content: '';
    border-radius: 5px;
    background: linear-gradient(95deg, rgb(251, 255, 146) 0.00%, rgb(255, 198, 74) 50.45%, rgb(251, 255, 146) 100.00%);
}

/* 電話番号 */
.phone{
    background: #7CBE5D;
    color: #fff;
    text-align: center;
    width: fit-content;
    margin: 35px auto 0 ;
    padding: 15px 35px;
    border-radius: 10px;
    display: block;
    font-size: 1.2rem;
    transition: 0.6s;
}
.phone:hover{
    background: #93e36b;
}
.phone i{
    padding-right: 10px;
}


/* ご予約 */
.reserve{
    background: url(../img/reserve_img.webp) no-repeat center /cover;
    padding: 50px 0;
    text-align: center;
    line-height: 1.7;
}
.reserve_wrap{
    background: rgba(255,255,255,0.8);
    border-radius: 50px;
    padding: 30px 0 40px;
    width: min(92%, 400px);
    margin: 0 auto;
    backdrop-filter: blur(17px);
    -webkit-backdrop-filter: blur(17px);
}
.reserve h3{
    padding-bottom: 8px;
}
.ooizumi_reserve,.minori_reserve{
    padding-top: 35px;
}
.ooizumi_reserve_p{
    padding: 0 40px;
}

/* footer */
footer{
    background:#FFC54A;
    padding: 30px 0;
    color: #fff;
    text-align: center;
}


/* TOPにもどる */
.top_btn{
    width: 80px;
    height: 80px;
    cursor: pointer;
    position: fixed;
    bottom: 15px;
    right: 10px;
    z-index: 10;
    display: none;
}


@media screen and (min-width:768px){

/* header */
header{
    font-size: 15px;
    padding: 0 10px;
    width: 100%;
    height: 100px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}
.header_wrap{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100px;
    padding: 10px 0;
}
h1{
    width: min(30%,400px);
    z-index: 1000;
}

/* pcnav */
.pcnav{
    display: block;
    width: min(68%,550px);
}
.pcnav ul{
    display: flex;
    justify-content: space-between;
}
.pcnav a{
    display: block;
    width: fit-content;
    padding:  0 5px 15px 5px;
    position: relative;
}
.pcnav a:hover{
    color: #7CBE5D;
}
.pcnav a::after{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2.2px;
    background:#7CBE5D;
    transition: 0.3s;
    transform: scale(0, 1);
    transform-origin: center;
}
.pcnav a:hover::after{
    transform: scale(1, 1);
}


/* 予約ボタン */
.reserve_btn{
    display: none;
}
.menu{
    display: none;
}
.reserve_btn_pc{
    display: block;
    position: fixed;
    top: 130px;
    right: 0;
    width: min(8%,75px);
    height: auto;
    z-index: 1000;
}

/* ご予約 */
.reserve{
    padding: 70px 0;
}

}


@media screen and (min-width:900px){

/* header */
header{
    font-size: 17px;
}
.pcnav{
    width: min(68%,630px);
}

}


@media screen and (min-width:1000px){

/* TOPにもどる */
.top_btn{
    width: 100px;
    height: 100px;
}

}